<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Alter the entity VariableClass.
        Add unique constraint with columns: variable_class_type_id | code
        "A Code can't be repeated in the same Variable ClassType"
    -->
    <changeSet id="20241031074807-1" author="omg">
		<addUniqueConstraint
        	columnNames="variable_class_type_id, code"
        	constraintName="un_variable_class__variable_class_type_id__code"
        	tableName="variable_class"
        />
    </changeSet>
</databaseChangeLog>
